This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 887218

Summary: 0.5.0-1 regression: 147e:2016 Upek fingerprint reader no longer works
Product: [Fedora] Fedora Reporter: Amit Shah <amit.shah>
Component: libfprintAssignee: Bastien Nocera <bnocera>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: amit.shah, bnocera, jwalden+brc, klepikho, pingou
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 08:53:08 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Amit Shah 2012-12-14 05:48:43 EST
Description of problem:

The support for

147e:2016 Upek Biometric Touchchip/Touchstrip Fingerprint Sensor

gets broken by update to 0.5.0-1.  'yum downgrade' goes back to 0.4.0-5, which makes things work again.

With 0.5, neither gdm nor the screensaver offer fingerprint slide to unlock.
Comment 1 Bastien Nocera 2012-12-14 07:09:53 EST
What's the output of:
fprintd-list `id -un`
?

Try enrolling again using:
fprintd-enroll
and verify with:
fprintd-verify
Comment 2 Amit Shah 2012-12-14 12:13:26 EST
Interesting:

running 'fprintd-list `id -un`' on the downgraded version shows this:

found 1 devices
Device at /net/reactivated/Fprint/Device/0
Using device /net/reactivated/Fprint/Device/0
Fingerprints for user amit on UPEK Eikon 2 (swipe):
 - #0: right-index-finger


I upgraded again to 0.5.0-1, and the output is:

found 1 devices
Device at /net/reactivated/Fprint/Device/0
Using device /net/reactivated/Fprint/Device/0
User amit has no fingers enrolled for UPEK Eikon 2.


I then enrolled the fingerprint, and things work properly:

found 1 devices
Device at /net/reactivated/Fprint/Device/0
Using device /net/reactivated/Fprint/Device/0
Fingerprints for user amit on UPEK Eikon 2 (swipe):
 - #0: right-index-finger


How did the upgrade not detect the previous fingerprint data (which the downgraded version picked up just fine)?

Thanks for the workaround.
Comment 3 Fedora End Of Life 2013-12-21 04:54:18 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 08:53:15 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.